Bug 427370 - RHEL 5.1 nss_ldap does not build with RHEL 5.1 krb5 packages
RHEL 5.1 nss_ldap does not build with RHEL 5.1 krb5 packages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nss_ldap (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 10:39 EST by Jos Vos
Modified: 2008-06-19 09:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2008-0389
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:15:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2008-01-03 10:39:03 EST
Description of problem:

When rebuilding nss_ldap-253-5.el5 (as included with RHEL 5.1) on RHEL 5.1, with
krb5-*-1.6.1-17.el5 packages installed, the build fails with:

+ /builddir/build/SOURCES/dlopen.sh ./nss_ldap-253/nss_ldap.so
dlopen() of "././nss_ldap-253/nss_ldap.so" failed:
./././nss_ldap-253/nss_ldap.so: undefined symbol: request_key
error: Bad exit status from /var/tmp/rpm-tmp.62652 (%build)

When building with krb5-*-1.5-29 installed, the build runs fine.
Comment 1 Nalin Dahyabhai 2008-01-03 11:03:02 EST
Yup.  It needs libkeyutils, libselinux, and libnsl added.  Specifically,
SHAREDLIBS needs to also mention these three.  It'll be fixed as part of
building any subsequent updates for the package.
Comment 5 Jos Vos 2008-01-03 13:09:48 EST
But will the RHEL 5.1 version of nss_ldap (as distributed built with the old
krb5, I presume) still work ok with Kerberos on RHEL 5.1?
Comment 6 Nalin Dahyabhai 2008-01-03 13:26:21 EST
It should -- the missing libraries are indirect dependencies used by the newer
libkrb5, and aren't directly used by the nss_ldap module.
Comment 10 errata-xmlrpc 2008-05-21 10:15:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0389.html

Note You need to log in before you can comment on or make changes to this bug.